version: "3"

services: 
  admroom:
    container_name: admroom
    restart: always
    build: .
    ports: 
      - "4000:4000"
    links: 
      - mongoRoom
    volumes: 
      - .:/usr/src/app
      - nodeModulesVol:/usr/src/app/node_modules
  mongoRoom:
    container_name: mongoRoom
    image: mongo
    environment:
      MONGO_INITDB_ROOT_USERNAME: tesisUpc
      MONGO_INITDB_ROOT_PASSWORD: laMejor
    ports: 
      - "27018:27017"
    logging: 
      driver: none
volumes: 
  nodeModulesVol: